summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-apps/dolphin-plugins-git/dolphin-plugins-git-18.12.2.ebuild')
-rw-r--r--kde-apps/dolphin-plugins-git/dolphin-plugins-git-18.12.2.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/kde-apps/dolphin-plugins-git/dolphin-plugins-git-18.12.2.ebuild b/kde-apps/dolphin-plugins-git/dolphin-plugins-git-18.12.2.ebuild
new file mode 100644
index 00000000000..f5d2a437b68
--- /dev/null
+++ b/kde-apps/dolphin-plugins-git/dolphin-plugins-git-18.12.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KMNAME="dolphin-plugins"
+KDE_HANDBOOK="false"
+MY_PLUGIN_NAME="git"
+inherit kde5
+
+DESCRIPTION="Dolphin plugin for Git integration"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_kdeapps_dep dolphin)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+ !kde-apps/dolphin-plugins:5
+ dev-vcs/git
+"
+
+src_prepare() {
+ kde5_src_prepare
+ # kxmlgui, qtnetwork only required by dropbox
+ punt_bogus_dep Qt5 Network
+ punt_bogus_dep KF5 XmlGui
+ # delete non-${PN} translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find po -type f -name "*po" -and -not -name "*${MY_PLUGIN_NAME}plugin" -delete || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_${MY_PLUGIN_NAME}=ON
+ -DBUILD_bazaar=OFF
+ -DBUILD_dropbox=OFF
+ -DBUILD_hg=OFF
+ -DBUILD_svn=OFF
+ )
+ kde5_src_configure
+}